Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class AbstractUrlMapping

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMapping

All Implemented Interfaces:
  UrlMapping

    public abstract class AbstractUrlMapping
    extends java.lang.Object

Abstract UrlMapping implementation that provides common basic functionality.

Authors:
  Graeme Rocher

Since:
  0.5.5

Field Summary
`protected java.lang.Object` | `actionName`
`protected ConstrainedProperty[]` | `constraints`
`protected java.lang.Object` | `controllerName`
`protected java.lang.Object` | `forwardURI`
`protected java.lang.String` | `mappingName`
`protected java.util.Map` | `parameterValues`
`protected boolean` | `parseRequest`
`protected java.lang.Object` | `pluginName`
`protected boolean` | `restful`
`protected javax.servlet.ServletContext` | `servletContext`
`protected java.lang.Object` | `viewName`

Constructor Summary
`AbstractUrlMapping(java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object pluginName, java.lang.Object viewName, ConstrainedProperty[] constraints, javax.servlet.ServletContext servletContext)` Base constructor required to construct a UrlMapping instance
`protected AbstractUrlMapping(java.lang.Object viewName, ConstrainedProperty[] constraints, javax.servlet.ServletContext servletContext)`
`protected AbstractUrlMapping(java.net.URI uri, ConstrainedProperty[] constraints, javax.servlet.ServletContext servletContext)`

Method Summary
`java.lang.Object` | `getActionName()` @see org.codehaus.groovy.grails.web.mapping.UrlMapping#getActionName()
`ConstrainedProperty[]` | `getConstraints()` @see UrlMapping#getConstraints()
`java.lang.Object` | `getControllerName()` @see UrlMapping#getControllerName()
`java.lang.String` | `getMappingName()`
`java.lang.Object` | `getPluginName()`
`java.lang.Object` | `getViewName()` @see org.codehaus.groovy.grails.web.mapping.UrlMapping#getViewName()
`boolean` | `hasRuntimeVariable(java.lang.String name)`
`boolean` | `isRestfulMapping()`
`void` | `setMappingName(java.lang.String name)`
`void` | `setParameterValues(java.util.Map parameterValues)`
`void` | `setParseRequest(boolean shouldParse)`
`void` | `setRestfulMapping(boolean isREST)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### actionName

    protected java.lang.Object actionName

### constraints

    protected final ConstrainedProperty[] constraints

### controllerName

    protected java.lang.Object controllerName

### forwardURI

    protected java.lang.Object forwardURI

### mappingName

    protected java.lang.String mappingName

### parameterValues

    @SuppressWarnings("rawtypes")
    protected java.util.Map parameterValues

### parseRequest

    protected boolean parseRequest

### pluginName

    protected java.lang.Object pluginName

### restful

    protected boolean restful

### servletContext

    protected javax.servlet.ServletContext servletContext

### viewName

    protected java.lang.Object viewName

Constructor Detail

### AbstractUrlMapping

    public AbstractUrlMapping(java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object pluginName, java.lang.Object viewName, ConstrainedProperty[] constraints, javax.servlet.ServletContext servletContext)

  Base constructor required to construct a UrlMapping instance
  Parameters:
    `controllerName` - The name of the controller
    `actionName` - The name of the action
    `constraints` - Any constraints that apply to the mapping
    servletContext

### AbstractUrlMapping

    protected AbstractUrlMapping(java.lang.Object viewName, ConstrainedProperty[] constraints, javax.servlet.ServletContext servletContext)

### AbstractUrlMapping

    protected AbstractUrlMapping(java.net.URI uri, ConstrainedProperty[] constraints, javax.servlet.ServletContext servletContext)

Method Detail

### getActionName

    public java.lang.Object getActionName()

  See Also:
    UrlMapping.getActionName

### getConstraints

    public ConstrainedProperty[] getConstraints()

  See Also:
    UrlMapping.getConstraints

### getControllerName

    public java.lang.Object getControllerName()

  See Also:
    UrlMapping.getControllerName

### getMappingName

    public java.lang.String getMappingName()

### getPluginName

    public java.lang.Object getPluginName()

### getViewName

    public java.lang.Object getViewName()

  See Also:
    UrlMapping.getViewName

### hasRuntimeVariable

    public boolean hasRuntimeVariable(java.lang.String name)

### isRestfulMapping

    public boolean isRestfulMapping()

### setMappingName

    public void setMappingName(java.lang.String name)

### setParameterValues

    @SuppressWarnings({"unchecked","rawtypes"})
    public void setParameterValues(java.util.Map parameterValues)

### setParseRequest

    public void setParseRequest(boolean shouldParse)

### setRestfulMapping

    public void setRestfulMapping(boolean isREST)

Groovy Documentation